%define upstream_name	 Test-Base
%define upstream_version 0.88

%if %{_use_internal_dependency_generator}
%define __noautoreq 'Module::Install.*'
%else
%define _requires_exceptions Module::Install
%endif

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:	A Data Driven Testing Framework

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Spiffy) >= 0.29
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl-devel
BuildArch:	noarch

%description
Perl gives you a standard way to run tests with Test::Harness, and basic
testing primitives with Test::More. After that you are pretty much on your own
to develop a testing framework and philosophy. Test::More encourages you to
make your own framework by subclassing Test::Builder, but that is not trivial.
Test::Base gives you a way to write your own test framework base class that is
trivial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Test
# %{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Tue Oct 21 2014 dsilakov <denis.silakov@rosalab.ru> 0.880.0-1
+ Revision: 0d7d4a3
- Merge pull request #2 from import/perl-Test-Base:auto_update
- ROSA Updates Builder: update suggested


